org.apache.hadoop.hdfs.server.namenode

## Class DirectoryWithQuotaFeature.Builder

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.DirectoryWithQuotaFeature.Builder

- Enclosing class:
    DirectoryWithQuotaFeature

      public static class DirectoryWithQuotaFeature.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectoryWithQuotaFeature` | `build()`
    `DirectoryWithQuotaFeature.Builder` | `nameSpaceQuota(long nameSpaceQuota)`
    `DirectoryWithQuotaFeature.Builder` | `storageSpaceQuota(long spaceQuota)`
    `DirectoryWithQuotaFeature.Builder` | `typeQuota(org.apache.hadoop.fs.StorageType type, long quota)`
    `DirectoryWithQuotaFeature.Builder` | `typeQuotas(EnumCounters<org.apache.hadoop.fs.StorageType> typeQuotas)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### nameSpaceQuota

          public DirectoryWithQuotaFeature.Builder nameSpaceQuota(long nameSpaceQuota)

    - #### storageSpaceQuota

          public DirectoryWithQuotaFeature.Builder storageSpaceQuota(long spaceQuota)

    - #### typeQuotas

          public DirectoryWithQuotaFeature.Builder typeQuotas(EnumCounters<org.apache.hadoop.fs.StorageType> typeQuotas)

    - #### typeQuota

          public DirectoryWithQuotaFeature.Builder typeQuota(org.apache.hadoop.fs.StorageType type,
                                                             long quota)

    - #### build

          public DirectoryWithQuotaFeature build()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.